As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1323450 - Implement timeout configuration on creating new session
: Implement timeout configuration on creating new session
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: Version 3
: All All
: -- normal (vote)
: mozilla53
Assigned To: Andreas Tolfsen ‹:ato›
:
:
Mentors:
Depends on: 1326534
Blocks: webdriver
  Show dependency treegraph
 
Reported: 2016-12-14 07:13 PST by Andreas Tolfsen ‹:ato›
Modified: 2017-01-09 01:04 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments

Description User image Andreas Tolfsen ‹:ato› 2016-12-14 07:13:26 PST
It should be possible to configure session timeouts by passing a timeout configuration object as part of the capabilities when creating a new session.
Comment 1 User image Andreas Tolfsen ‹:ato› 2016-12-14 07:13:45 PST
Somewhat related to https://bugzilla.mozilla.org/show_bug.cgi?id=1282873.
Comment 2 User image Andreas Tolfsen ‹:ato› 2016-12-21 10:10:58 PST
I’m likely going to fix this as part of https://bugzilla.mozilla.org/show_bug.cgi?id=1282873.

Note You need to log in before you can comment on or make changes to this bug.